Subject: bug#25672: Font-locking issues when font-lock-fontified is nil

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Oct 2019 17:09:59 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> I think this was fixed last year-ish if I'm reading the change log
> correctly.

Oh, I didn't.  This is the definition of that function:

(defun font-lock-fontify-region (beg end &optional loudly)
  "Fontify the text between BEG and END.
If LOUDLY is non-nil, print status messages while fontifying.
This works by calling `font-lock-fontify-region-function'."
  (font-lock-set-defaults)
  (funcall font-lock-fontify-region-function beg end loudly))

which is indeed font-lock-default-fontify-region, which is what was
requested to have changed.

I think?  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no